com.sun.source.tree

## Interface CaseTree

All Superinterfaces:
  Tree

    public interface CaseTree
    extends Tree

A tree node for a 'case' in a 'switch' statement. For example:

       case expression :
           statements

       default :
           statements

Since:
  1.6
See Also:
  "The Java Language Specification, 3rd ed, section 14.11"

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

Methods
`ExpressionTree` `getExpression()`
`List<? extends StatementTree>` `getStatements()`

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getExpression

    ExpressionTree getExpression()

Returns:
  null if and only if this Case is `default:`

#### getStatements

    List<? extends StatementTree> getStatements()

Copyright © 2005, 2017, Oracle and/or its affiliates. All rights reserved.